@charset "UTF-8";

/* VARIABILI */

:root {
  /* BS overrides */
  --primary: #3bade0;
  --secondary: #00559f;


  /* colori */
  --white: #ffffff;
  --light-grey: #e5e5e5;
  --dark-grey: #959595;
  --dark: #262626;

  --text-light: #FFFFFF;
  --text-dark: #001D35;
  --orange: #F37021;
  --orange-link: #FDD33F;
  --blue: #0A5D80;
  --blue-light: #139CD8;

  /*--bk-contrast: #001D35;*/
  --bk-contrast: linear-gradient(180deg, #001D35 0%, #001D35 14%, #001D35 27.5%, #001D35 46.83%, #001D35 61.07%, #001D35 76.29%, #001D35 85.5%, #001D35 100%);

  /* gradienti */
  --menu-gradient: linear-gradient(180deg, rgba(251, 251, 251, 0.90) 0%, rgba(255, 255, 255, 0.60) 100%);
  --body-gradient: linear-gradient(180deg, #064175 0%, #350E67 14%, #05325A 27.5%, #14304B 46.83%, #003E74 61.07%, #002546 76.29%, #006579 85.5%, #001D35 100%);


  /* box-shadow */
  --default-box-shadow: 0 4px 6px rgba(0, 0, 0, 0.16);

  /* fonts */
  --main-font-family: "Montserrat", Helvetica, Arial, sans-serif;


  /* utilities */
  --v_spacing: 40px;
}

/* FONTS */

@font-face {
  font-family: "Montserrat";
  src: url("Fonts/Montserrat-Extralight.ttf") format("truetype");
  font-style: normal;
  font-weight: 200;
}

@font-face {
  font-family: "Montserrat";
  src: url("Fonts/Montserrat-Regular.ttf") format("truetype");
  font-style: normal;
  font-weight: 400;
}

@font-face {
  font-family: "Montserrat";
  src: url("Fonts/Montserrat-Bold.ttf") format("truetype");
  font-style: normal;
  font-weight: 700;
}

@font-face {
  font-family: "Montserrat";
  src: url("Fonts/Montserrat-Italic.ttf") format("truetype");
  font-style: italic;
  font-weight: 400;
}

@font-face {
  font-family: "Montserrat";
  src: url("Fonts/Montserrat-SemiBoldItalic.ttf") format("truetype");
  font-style: italic;
  font-weight: 600;
}

/* Icone: font-face "FontAwesome" definito in Css/font-awesome.min.css */

/* RESET CSS -- RESET CSS -- RESET CSS */
/* RESET CSS -- RESET CSS -- RESET CSS */

* {
  box-sizing: border-box;
  margin: 0;
  padding: 0;
  font-family: var(--main-font-family);
}

/* focus outline */
a:focus,
button:focus,
input:focus,
select:focus,
textarea:focus {
  outline: solid var(--orange);
}



body {
  font-family: var(--main-font-family);
  background: var(--bk-contrast);
  background: var(--body-gradient);
  transition: 0.3s;
}



/* ridimensiona max-width */
@media (min-width: 1400px) {
  /* BS override */
  .container {
    max-width: 1140px;
  }
}

/* Default text colors */
/*body *:not(a, iframe *, .actionMenu a span, .bg-light *, .cke_editable, .cke_editable *, #EDNadmin) {
  color: var(--text-light);
}*/

.DnnModule:not(.DnnModule-ResourceManager) *:not(a, iframe *, .actionMenu a span, .bg-light *, .cke_editable, .cke_editable *, #EDNadmin) {
  color: var(--text-light);
}

body .bg-light, body.cke_editable * {
  color: var(--text-dark);
}

.bg-white {
  background-color: #fff;
}

.bg-white *{
  color: #000 !important;
}



/* Background Colors Reset */


.shadow-default {
  box-shadow: var(--default-box-shadow);
}

/* Text Colors Reset */



/* Text Reset */

.text-primary {
  font-style: normal;
  font-weight: 400;
}

.text-bold {
  font-style: normal;
  font-weight: 700;
}

.text-light {
  font-style: normal;
  font-weight: 200;
}

.text-italic {
  font-style: italic;
  font-weight: 400;
}

.text-italic-bold {
  font-style: italic;
  font-weight: 600;
}

/* Font size for Text */
A,
ABBR,
ACRONYM,
ADDRESS,
BDO,
BLOCKQUOTE,
BODY,
BUTTON,
CITE,
DD,
DEL,
DFN,
DIV,
DL,
DT,
EM,
FIELDSET,
FORM,
H1,
H2,
H3,
H4,
H5,
H6,
IMG,
INS,
KBD,
LABEL,
LI,
OBJECT,
OL,
P,
SAMP,
SMALL,
SPAN,
SUB,
SUP,
UL,
VAR,
APPLET,
BASEFONT,
BIG,
CENTER,
DIR,
FONT,
HR,
MENU,
PRE,
S,
STRIKE,
TT,
U {
  /*font-size: 1rem;*/
  font-family: var(--main-font-family);
}

h1, h2, h3, h4, h5,
h1.display-3,
.h1, .h2, .h3, .h4, .h5 {
  font-weight: 700;
}

h1 small, h2 small, h3 small, h4 small, h5 small,
.h1 small, .h2 small, .h3 small, .h4 small, .h5 small {
  font-weight: 400;
  font-size: 75%;
}

h1,
.h1 {
  font-size: 2.25rem;
}

h2,
.h2 {
  font-size: 1.9rem;
}

h3,
.h3 {
  font-size: 1.5rem;
}

h4,
.h4 {
  font-size: 1.3rem;
}

h5,
.h5 {
  font-size: 1.2rem;
}

@media (max-width: 767px) {
  h1, .h1, .display-3 {
    font-size: 1.7rem;
  }
  h2, .h2 {
    font-size: 1.4rem;
  }
  h3, .h3 {
    font-size: 1.1rem;
  }
}

strong,
b {
  font-weight: 700;
}

em b,
em strong,
b em,
strong em {
  font-weight: 700;
  font-style: italic;
}

ul, ol {
  padding-left: 0;
}

.text-bigger {
  font-size: 1.15rem;
}

.text-smaller {
  font-size: 0.85rem;
}

.text-email {
  font-size: 0.8rem;
}

.text-spacing {
  letter-spacing: 0.1em;
}

.Normal,
.NormalDisabled,
.NormalDeleted {
  color: inherit;
  line-height: inherit;
  font-size: inherit;
}

/* Spaziature */

.spacer-mt {
  margin-top: 40px;
}

.spacer-mb {
  margin-bottom: 40px;
}

.spacer-pt {
  padding-top: 40px;
}

.spacer-pb {
  padding-bottom: 40px;
}

.contentPadding {
  padding: 2rem 1rem;  
}
@media (min-width: 992px) {
  .contentPadding {
    padding: 3.5rem 5rem;
  }
}


/* misc */

.cursor-pointer {
  cursor: pointer;
}

.opacity-0 {
  opacity: 0 !important;
}

.opacity-1 {
  opacity: 1 !important;
}

.rounded-20 {
  border-radius: 20px;
} 
.rounded-20-b {
  border-radius: 0 0 20px 20px;
} 

.overflow-h {
  overflow: hidden;
}

.min-vh-100 {
  position: relative;
}


/* Link e Pulsanti */

a,
a:visited {
  color: var(--orange-link);
  text-decoration: none;
  transition: 0.3s;
}

.bg-light a,
.bg-light a:visited {
  color: var(--blue-light);
}

a:hover,
a:focus {
  color: var(--orange);
}

.bg-dark a:not(.btn),
.bg-dark a:not(.btn):visited {
  color: var(--lightblue);
  transition: 0.3s;
}

.bg-dark a:not(.btn):hover,
.bg-dark a:not(.btn):focus {
  color: var(--lighterblue);
}


.btn {
  -webkit-appearance: unset;
  padding: 0.5rem;
  border-radius: 10px;
  transition: 0.3s;
  border-width: 2px;
  border-style: solid;
  color: var(--text-light);
  font-weight: 700;
  line-height: 1;
}
.btn:focus,
.btn:hover {
  color: var(--text-light); /* BS override */
}

.btn-primary {
  background-color: var(--orange); /* BS override */
  border-color: var(--text-light); /* BS override */
}

.btn-primary:visited {
  background-color: var(--orange); /* BS override */
  color: var(--text-light); /* BS override */
}

.btn-primary:focus,
.btn-primary:hover {
  background-color: var(--blue); /* BS override */
  border-color: var(--text-light); /* BS override */
}

.btn-primary.disabled,
.btn-primary:disabled,
.btn-primary.disabled:focus,
.btn-primary.disabled:hover,
.btn-primary:disabled:focus,
.btn-primary:disabled:hover {
  opacity: .7;
}

.btn-secondary {
  background-color: var(--white); /* BS override */
  border-color: var(--lightblue); /* BS override */
}

.btn-secondary:visited {
  background-color: var(--white); /* BS override */
  color: var(--darkindigo); /* BS override */
}

.btn-secondary:focus,
.btn-secondary:hover {
  background-color: var(--white); /* BS override */
  border-color: var(--blue); /* BS override */
}

.btn-secondary.disabled,
.btn-secondary:disabled,
.btn-secondary.disabled:focus,
.btn-secondary.disabled:hover,
.btn-secondary:disabled:focus,
.btn-secondary:disabled:hover {
  opacity: .7;
}

/* Pulsante min-width */
.btn-200 {
  min-width: 200px;
}

.btn-cta {
  position: relative;
  margin-top: 5px;
  margin-bottom: 5px;
  font-size: 1.2rem;
  text-transform: uppercase;
}


.btn-sm {
  padding: 0.1rem 0.7rem;
  font-size: 0.875rem;
  line-height: 1.2;
  min-width: auto;
  max-width: auto;
  height: auto;
}





/* LAYOUT -- LAYOUT -- LAYOUT */
/* LAYOUT -- LAYOUT -- LAYOUT */

#sideBar {
  width: 95%;
  max-width: 400px;
  padding-right: 60px;
  position: fixed;
  z-index: 1;
  height: auto; /*nb: altezza calcolata via script*/
  top: 0;
  left: 0;
  overflow: hidden;
  transition: 0.5s;
}

.personabar-visible #sideBar {
  left: 80px;
}

#sideBar.closed {
  transform: translate(-310px, 0);
}

#sideBar.closed .sideBarView {
  display: none;
}

#sideBar .sideBarMoveCta {
  transform: translate(0, 0);
  transition: 0.5s;
}

#sideBar.closed .sideBarMoveCta {
  transform: translate(300px, 0);
}


#sideBar .sideBarMove {
  opacity: 1;
  transform: translate(0, 0);
  transition: 0.5s;
}

#sideBar.closed .sideBarMove {
  opacity: 0;
  transform: translate(-400px, 0);
}

#mainContent {
  padding-left: 90px;
}


@media(min-width:992px) {
  #sideBar {
    width: 400px;
    background: transparent url(img/menu-background.svg) no-repeat top right /cover;
  }
  #mainContent {
    padding-left: 400px;
  }  
  .btn-sidebar {
    display: none !important;
  }
}

@media(max-width:991px) {

  #sideBar.closed {
    background: transparent url(img/menu-background.svg) no-repeat top right /cover;
  }
  #sideBar:not(.closed) {
    background: transparent url(img/menu-background-mobile.svg) no-repeat top right /cover;
  }

  .btn-sidebar {
    position: absolute;
    width: 40px;
    height: 40px;
    line-height: 40px;
    top: 1rem;
    right: -40px;
    z-index: 2;
  }
  #sideBar.closed #closeNavBtn {
    display: none;
  }
  #sideBar #openNavBtn {
    display: none;
  }
  #sideBar.closed #openNavBtn {
    display: block;
  }
}

#sideBar ul {
  padding-left: 0;
  margin-left: 0;
  list-style: none;
}



#sideBar nav a:not(.btn),
#sideBar nav a:not(.btn):visited {
  color: var(--text-dark);
  font-weight: 700;
  display: inline-block;
  padding: 5px 0;
}

#sideBar nav a:focus:not(.btn),
#sideBar nav a:hover:not(.btn),
#sideBar nav a:active:not(.btn),
#sideBar nav a.active:not(.btn) {
  color: var(--blue);
}


@media(max-width:768px) {
  #sideBar {
    padding-right: 20px;
  }
  #sideBar .justify-content-between {
    justify-content: unset !important;
  }
  #sideBar nav a:not(.btn),
  #sideBar nav a:not(.btn):visited {
    font-weight: 400;
    padding: 2px 0;
    font-size: .85rem;
  }
  #sideBar.closed {
    transform: translate(-330px, 0);
  }
  #sideBar.closed .sideBarMoveCta {
    transform: translate(310px, 0);
  }
  .btn-sidebar {
    right: -10px;
    z-index: 2;
  }
  #mainContent {
    padding-left: 70px;
  }
}



/* Logo e tagline */

.tagLine {
  color: var(--secondary) !important;
  text-transform: uppercase;
  font-weight: 700;
  font-size: .80rem;
}

@media(max-width:768px) {
  .tagLine {
    font-weight: 700;
    font-size: .70rem;
  }
}



/* HERO -- HERO -- HERO */
/* HERO -- HERO -- HERO */

.hero h1 {
  margin-bottom: var(--v_spacing);
}

.hero-content {
  overflow: hidden;
  font-size: clamp(16px, 1.5vw, 22px);
}

.hero-content img {
    position: absolute;
    bottom: 0;
    right: 0;
    z-index: -1; 
    max-width: 200px;
    height: auto;
}

@media(min-width:992px) {
  .hero-content {
    max-width: 550px;
  }

  .hero-content img {
    right: 0;
    max-width: 500px;
  }

}



/* FOOTER -- FOOTER -- FOOTER */
/* FOOTER -- FOOTER -- FOOTER */



/* EDN TEMPLATES -- EDN TEMPLATES -- EDN TEMPLATES */
/* EDN TEMPLATES -- EDN TEMPLATES -- EDN TEMPLATES */

.listing-card article {
  max-width: 400px;
}

.article-meta {
  color: var(--blue);
}

.modal-header, .modal-footer {
  border: none !important;
}

.modal-title {
  color: var(--blue);
}

.edn_articleSummary {
  overflow: hidden;
  font-size: clamp(16px, 1.5vw, 20px);
}



/* MODALITÀ DI LETTURA  --  MODALITÀ DI LETTURA  --  MODALITÀ DI LETTURA */
/* MODALITÀ DI LETTURA  --  MODALITÀ DI LETTURA  --  MODALITÀ DI LETTURA */

body.high-contrast {
  background: var(--bk-contrast);
}

body.compact-mode .min-vh-100:not(.navHeight) {
  min-height: auto !important;
}

body.compact-mode .img-deco, body.compact-mode .hero img {
  display: none !important;
}

body.compact-mode .hero-content {
  max-width: 550px;
}

    /* switch */
    .switch {
      position: relative;
      display: inline-block;
      width: 50px;
      height: 24px;
      margin-bottom: 10px;
    }

    .switch input {
      opacity: 0;
      width: 0;
      height: 0;
    }

    .slider {
      position: absolute;
      cursor: pointer;
      top: 0;
      left: 0;
      right: 0;
      bottom: 0;
      background-color: #ccc;
      -webkit-transition: .4s;
      transition: .4s;
      border-radius: 24px;
    }

    .slider:before {
      position: absolute;
      content: "";
      height: 20px;
      width: 20px;
      left: 2px;
      bottom: 2px;
      background-color: white;
      -webkit-transition: .4s;
      transition: .4s;
      border-radius: 50%;
    }

    input:checked + .slider {
      background-color: #2196F3;
    }

    input:focus + .slider {
      box-shadow: 0 0 1px #2196F3;
    }

    input:checked + .slider:before {
      -webkit-transform: translateX(26px);
      -ms-transform: translateX(26px);
      transform: translateX(26px);
    }

    /* popover container */
    .popover-container {
      position: relative;
      display: inline-block;
    }

    /* popover content */
    .popover-content {
      display: none;
      position: absolute;
      background-color: #f9f9f9;
      border: 1px solid #ccc;
      padding: 10px;
      border-radius: 5px;
      box-shadow: 0 2px 5px rgba(0, 0, 0, 0.1);
      z-index: 1;
    }

    /* open button */
    .open-btn {
      background-color: #007bff;
      color: white;
      padding: 10px 20px;
      border: none;
      border-radius: 5px;
      cursor: pointer;
    }

    /* close button */
    .close-btn {
      background-color: #dc3545;
      color: white;
      padding: 5px 10px;
      border: none;
      border-radius: 5px;
      cursor: pointer;
    }
